---
title: "Download"
draft: false
toc: true
---
# Latest Release: v0.7.0 (June 20, 2021)

[Change History](/guidebook/changes.html)

## Windows

The Microsoft&trade; Windows release of _Sketchy Maze_ currently comes as a ZIP
file that you can extract anywhere and then run the `doodle.exe` program to
start the game.

**Note:** I do not yet have a code signing certificate for the Windows release,
so you may need to click through the "Unknown Publisher" dialog.

* **64-bit:** [sketchymaze-0.7.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0-windows-64bit.zip) (23 MB)

[Let me know](https://www.kirsle.net/contact) if there is demand for a
32-bit Windows build of this game.

---

## Mac OS (Intel)

The macOS release of _Sketchy Maze_ comes in two varieties: a traditional
"Sketchy Maze.app" in a .dmg file or a form similar to Windows and Linux with a
ZIP file that you can extract anywhere and run the `doodle` program to start
the game.

**Note:** I do not yet have a code signing certificate for the macOS release;
you're expected to know how to run apps from unverified developers. See
[Apple's documentation](https://support.apple.com/guide/mac-help/open-a-mac-app-from-an-unidentified-developer-mh40616/11.0/mac/11.0)
how to do this for your version of macOS.

* **Intel 64-bit App:** [sketchymaze-0.7.0-macOS-x64.dmg](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0-macOS-x64.dmg) (32 MB)
* **Zip file for Intel Macs:** [sketchymaze-0.7.0-macOS-x64.zip](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0-macOS-x64.zip) (22 MB)

---

## GNU/Linux

### Flatpak (All Distros)

The easiest cross-distro way to download _Sketchy Maze_ is via [Flatpak](https://flatpak.org/),
which is well supported on most popular Linux distributions including Fedora, Ubuntu,
Debian and others.

* **64-bit:** [sketchymaze-0.7.0.flatpak](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0.flatpak) (9.3 MB)

There is not a Flatpak repository for this game yet; inclusion on
[Flathub](https://flathub.org/) or a custom Flatpak repository for easier
install/updates is being considered.

To install the Flatpak manually:

```bash
# Download the .flatpak package. NOTE: it's distributed as a stand-alone app
# for now, a flatpak repo will be added at some point.
$ wget https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0.flatpak

# Install the .flatpak package.
$ flatpak install --user sketchymaze-0.7.0.flatpak

# Run it. There should also be a standard app launcher in your menu.
$ flatpak run com.sketchymaze.Doodle
```

### Fedora (.rpm)

* **64-bit:** [sketchy-maze-0.7.0-1.x86_64.rpm](https://download.sketchymaze.com/release/v0.7.0/sketchy-maze-0.7.0-1.x86_64.rpm) (21 MB)

### Ubuntu & Debian (.deb)

* **64-bit:** [sketchy-maze_0.7.0_amd64.deb](https://download.sketchymaze.com/release/v0.7.0/sketchy-maze_0.7.0_amd64.deb) (21 MB)

### Tarball

You can download _Sketchy Maze_ as a `.tar.gz` archive which you can extract
anywhere and run. The binary is built on a modern Fedora system and _hopefully_
should run as-is on other modern GNU/Linux systems, but sometimes shared library
versions of SDL2 may not match your computer.

* **64-bit:** [sketchymaze-0.7.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0-linux-64bit.tar.gz)
* **ARM aarch64:** [sketchymaze-0.7.0-linux-aarch64.tar.gz](https://download.sketchymaze.com/release/v0.7.0/sketchymaze-0.7.0-linux-aarch64.tar.gz)

For the daring, Sketchy Maze _almost_ works on the Pinephone. Try the aarch64
version of the tarball, built on Mobian on Pinephone.

---

# Previous Releases

## v0.6.0-alpha (June 6, 2021)

* Windows:
    * 64-bit: [sketchymaze-0.6.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0-windows-64bit.zip) (23 MB)
* Mac OS (Intel):
    * Sketchy Maze.app: [sketchymaze-0.6.0-macOS-x64.dmg](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0-macOS-x64.dmg) (32 MB)
    * Zip file: [sketchymaze-0.6.0-macOS-x64.zip](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0-macOS-x64.zip) (22 MB)
* Linux (64-bit Intel and AMD PCs)
    * Flatpak (manual install): [sketchymaze-0.6.0.flatpak](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0.flatpak) (9.3 MB)
    * .rpm (Fedora-likes): [sketchy-maze-0.6.0_alpha-1.x86_64.rpm](https://download.sketchymaze.com/release/v0.6.0/sketchy-maze-0.6.0_alpha-1.x86_64.rpm) (21 MB)
    * .deb (Debian and Ubuntu): [sketchy-maze_0.6.0-alpha_amd64.deb](https://download.sketchymaze.com/release/v0.6.0/sketchy-maze_0.6.0-alpha_amd64.deb) (21 MB)
    * Tarball: [sketchymaze-0.6.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0-linux-64bit.tar.gz)
* Linux (64-bit ARM, like the Pinephone or raspberry pi):
    * Tarball: [sketchymaze-0.6.0-linux-aarch64.tar.gz](https://download.sketchymaze.com/release/v0.6.0/sketchymaze-0.6.0-linux-aarch64.tar.gz)


## v0.5.0-alpha (March 31, 2021)

* Windows:
    * 64-bit x86: [sketchy-maze-0.5.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-windows-64bit.zip) (23 MB)
* Mac OS (Intel)
    * Sketchy Maze.app: [sketchy-maze-0.5.0-macOS-x64.dmg](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-macOS-x64.dmg) (23 MB)
    * Zip file: [doodle-0.5.0-macOS-64bit.zip](https://download.sketchymaze.com/release/v0.5.0/doodle-0.5.0-macOS-64bit.zip) (21 MB)
* Linux (64-bit Intel and AMD PCs)
    * Flatpak (manual install): [sketchy-maze-0.5.0.flatpak](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0.flatpak) (11 MB)
    * .rpm (Fedora-likes): [sketchy-maze-0.5.0-1.x86_64.rpm](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-1.x86_64.rpm) (20 MB)
    * .deb (Debian and Ubuntu): [sketchy-maze_0.5.0_amd64.deb](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze_0.5.0_amd64.deb) (21 MB)
    * Tarball: [sketchy-maze-0.5.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-linux-64bit.tar.gz) (21 MB)
* Linux (64-bit ARM, like the Pinephone or raspberry pi):
    * Tarball: [sketchy-maze-0.5.0-linux-aarch64.tar.gz](https://download.sketchymaze.com/release/v0.5.0/sketchy-maze-0.5.0-linux-aarch64.tar.gz) (21 MB)

## Project: Doodle v0.4.0 and Older

Older alpha builds of Sketchy Maze (codenamed _Project: Doodle_) are available
from blog posts on the author's personal website. These releases mainly targeted
Linux and Windows with the occasional Mac OS version.

* [Project: Doodle v0.4.0](https://www.kirsle.net/project-doodle-v0-4-0) -- _Nov 24, 2020_
* [Project: Doodle v0.3.0](https://www.kirsle.net/project-doodle-v0-3-0) -- _Sept 19, 2020_
* [Project: Doodle v0.2.0](https://www.kirsle.net/project-doodle-v0-2-0) -- _June 7, 2020_
* [Project: Doodle v0.1.0](https://www.kirsle.net/doodle-v0.1.0) -- _Apr 13, 2020_
* [Project: Doodle v0.0.10](https://www.kirsle.net/doodle) -- _July 9, 2019_
